# Registry

> Une Docker Registry est une application qui permet de distribuer des images Docker au sein de votre organisation.
>
> <cite></cite>

## Authentification

De base le service est complètement ouvert, ce qui peut être dangereux si le service est accessible par internet.

Il existe plusieurs façon de mettre en place une authentification, je vais utiliser ici la plus simple avec une authentification *htpasswd*.

Une simple commande permet de générer un fichier *htpasswd* :

```sh
./run htpasswd
```

## Dépliement

Il faut ensuite générer l'image avec le fichier mot de passe intégré :

```sh
./run build
```

Puis déployer le service (après avoir modifier le fichier `.env`) :

```sh
docker-compose up -d
```

Pour se connecter :

```sh
docker login https://$REGISTRY_DOMAIN
```

## Nettoyer le registre

```sh
docker exec registry bin/registry garbage-collect /etc/docker/registry/config.yml --delete-untagged=true
```

## Aide

Pour connaître les images du registry :

```sh
curl -u "$REGISTRY_USER:$REGISTRY_PASSWORD" -X GET https://$REGISTRY_DOMAIN/v2/_catalog
```

## Liens

- [Documentation][documentation]
- [Docker Hub][dockerhub]

[article]: https://blog.eleven-labs.com/fr/mise-en-place-docker-registry-privee/
[documentation]: https://docs.docker.com/registry/
[dockerhub]: https://hub.docker.com/_/registry
